/*
 * PieDataset.java
 *
 * Created on 15 agosto 2005, 17.49
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;
import java.util.*;
/**
 *
 * @author Administrator
 */
public class CategoryDataset extends Dataset {
    
    private Vector categorySeries = null;
        
    /** Creates a new instance of PieDataset */
    public CategoryDataset() {
        super();
        setCategorySeries(new Vector());
    }   

    public Vector getCategorySeries() {
        return categorySeries;
    }

    public void setCategorySeries(Vector categorySeries) {
        this.categorySeries = categorySeries;
    }
    
    public Dataset cloneMe()
    {
        CategoryDataset obj = new CategoryDataset();
        copyBaseDataset(obj);
        for (int i=0; i<getCategorySeries().size(); ++i)
        {
            obj.getCategorySeries().addElement( ((CategorySeries)getCategorySeries().elementAt(i)).cloneMe() );
        }
        
        return obj;
    }
    
}
